package com.sun.jmx.snmp.agent;

import com.sun.jmx.snmp.SnmpStatusException;
import com.sun.jmx.snmp.SnmpOid;
import java.util.Vector;
import com.sun.jmx.snmp.SnmpVarBind;
import java.util.Enumeration;

public interface SnmpMibSubRequest extends SnmpMibRequest
{
    public abstract Enumeration<SnmpVarBind> getElements();
    
    public abstract Vector<SnmpVarBind> getSubList();
    
    public abstract SnmpOid getEntryOid();
    
    public abstract boolean isNewEntry();
    
    public abstract SnmpVarBind getRowStatusVarBind();
    
    public abstract void registerGetException(SnmpVarBind p0, SnmpStatusException p1) throws SnmpStatusException;
    
    public abstract void registerSetException(SnmpVarBind p0, SnmpStatusException p1) throws SnmpStatusException;
    
    public abstract void registerCheckException(SnmpVarBind p0, SnmpStatusException p1) throws SnmpStatusException;
}
